import { http } from '@/utils/http'
import type { RepairReqVO, RepairResVO } from './repair.d'
type ID = number | string

/**
 * 新增报修单
 * @param data
 */
export const addRepairReq = (data: any) => {
  return http.post<void>('/eims/repairReq', data)
}
/**
 * 删除报修单
 * @param id
 */
export const delRepairReq = (id: ID) => {
  return http.del<void>(`/eims/repairReq/${id}`)
}
/**
 * 报修单列表
 */
export const getRepairReqList = (params: any) => {
  return http.get<RepairReqVO[]>('/eims/repairReq/list', params)
}





/**
 * 维修单列表
 */
export const getRepairResList = (params: any) => {
  return http.get<RepairResVO[]>('/eims/repairRes/list', params)
}
/**
 * 新增维修单
 * @param data
 */
export const addRepairRes = (data: any) => {
  return http.post<void>('/eims/repairRes/add', data)
}
